imagedata.default.scale
Prev | Graphics | Next

## imagedata.default.scale

`imagedata.default.scale` — Specifies the default image scaling properties

## Synopsis

          <xsl:param name="imagedata.default.scale">pagebound</xsl:param>

## Description

Default scale to apply to every `imagedata` that does not contain any scaling attribute.

By default this parameter is set to `pagebound` so that the included images keep their natural size up to the page boundaries.

Two other special parameters are available: 'maxwidth=`width`' and 'maxheight=`height`' where `width` and `height` define the maximum image dimensions, i.e. the image keeps its natural size up to the specified maximum dimension. Both 'maxwidth' and 'maxheight' settings can be combined in a comma separated list.

Example:

    dblatex -P imagedata.default.scale=maxwidth=10cm,maxheight=8cm file.xml

Except these special reserved values, the expected value of the parameter must be some valid options passed to the \includegraphics command.

Prev | Up | Next
imagedata.boxed | Home | imagedata.file.check